# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    mkdirs('/opt/python38/')
    python_version = control.get_software_version()
    run('cd /opt/python38/ ; tar -xzf %s' % makepath(basedir,'python-%s.tar.gz' % python_version) )

def audit():
    python_version = run('/opt/python38/bin/python3 -V').split(' ')[1].strip()

    if Version(python_version) != control.get_software_version():
        print('version install : %s' % python_version)
        return "ERROR"
    else:
        return "OK"